apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: cex-accel-plugin-stage-1-daemonset
  namespace: kube-system
spec:
  selector:
    matchLabels:
      name: cex-accel-plugin-stage-1
  template:
    metadata:
      annotations:
        scheduler.alpha.kubernetes.io/critical-pod: ""
      labels:
        name: cex-accel-plugin-stage-1
    spec:
      tolerations:
      - key: CriticalAddonsOnly
        operator: Exists
      containers:
      - image: 'image-registry.openshift-image-registry.svc:5000/kube-system/cex-plugin-stage-1:latest'
        imagePullPolicy: Always
        name: cex-accel--plugin-stage-1
        securityContext:
          privileged: true
        env:
          - name: CEXTYPE
            value: "accel"
        volumeMounts:
          - name: device-plugin-grpc
            mountPath: /var/lib/kubelet/device-plugins
          - name: dev
            mountPath: /dev
          - name: sys
            mountPath: /sys
      volumes:
        - name: device-plugin-grpc
          hostPath:
            path: /var/lib/kubelet/device-plugins
        - name: dev
          hostPath:
            path: /dev
        - name: sys
          hostPath:
            path: /sys